=== debian/changelog ===
amf-dmo (1.4.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jul 2021 07:31:37 +0200

amf-dmo (1.4.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 15:35:07 +0200

amf-dmo (1.4.16.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Jun 2020 10:22:05 +0200
