=== debian/control ===
Source: amf-dmo
Section: libdevel
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gpuopen.com/advanced-media-framework/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13)

Package: amf-codec-headers
Architecture: all
Depends: ${misc:Depends}
Description: Advanced Media Framework (AMF) header files.
 AMF is a light-weight, portable multimedia framework that abstracts away
 most of the platform and API-specific details and allows for easy
 implementation of multimedia applications using a variety of technologies,
 such as DirectX 11, OpenGL, and OpenCL and facilitates an efficient interop
 between them.
