=== debian/watch ===
version=4

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
