=== debian/changelog ===
amf-dmo (1.4.26-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Aug 2022 15:22:06 +0200

amf-dmo (1.4.24-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Apr 2022 09:57:02 +0200
