=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_install  amf/public/include/*	usr/include/AMF

override_dh_clean:
	-rm -rf Thirdparty

	dh_clean
