## amf-dmo 1.4.35

=== debian/changelog ===
amf-dmo (1.4.35-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2024 10:17:00 +0100
