=== debian/watch ===
version=4

opts=repack \
https://github.com/GPUOpen-LibrariesAndSDKs/AMF/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
