## amf-dmo 1.4.36.0

=== debian/changelog ===
amf-dmo (1.4.36.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2025 16:23:04 +0100

amf-dmo (1.4.36-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Feb 2025 08:37:26 +0100

amf-dmo (1.4.35-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Oct 2024 08:53:25 +0200

amf-dmo (1.4.34-dmo1) unstable; urgency=medium

  * New upstream release. 

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Jun 2024 01:33:53 +0200

amf-dmo (1.4.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Jan 2024 08:38:47 +0100

amf-dmo (1.4.32-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2023 08:50:19 +0100

amf-dmo (1.4.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jul 2023 08:54:29 +0200
