## amf-dmo 1.5.0

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
--- 
+++ 
@@ -29,11 +29,12 @@
 
 target_name = EncoderLatency
 
-pp_include_dirs = $(amf_root)
+pp_include_dirs = $(amf_root) \
+    $(VULKAN_SDK)/include
 
 src_files = \
     public/samples/CPPSamples/EncoderLatency/EncoderLatency.cpp \
-    public/samples/CPPSamples/EncoderLatency/SurfaceGenerator.cpp \
+    public/samples/CPPSamples/common/SurfaceGenerator.cpp \
     $(public_common_dir)/AMFFactory.cpp \
     $(public_common_dir)/AMFSTL.cpp \
     $(public_common_dir)/DataStreamFactory.cpp \
@@ -42,12 +43,14 @@
     $(public_common_dir)/Thread.cpp \
     $(public_common_dir)/TraceAdapter.cpp \
     $(public_common_dir)/Linux/ThreadLinux.cpp \
+    $(public_common_dir)/VulkanImportTable.cpp \
     $(samples_common_dir)/CmdLogger.cpp \
     $(samples_common_dir)/CmdLineParser.cpp \
     $(samples_common_dir)/ParametersStorage.cpp \
     $(samples_common_dir)/RawStreamReader.cpp \
     $(samples_common_dir)/EncoderParamsAVC.cpp \
     $(samples_common_dir)/EncoderParamsHEVC.cpp \
-	$(samples_common_dir)/EncoderParamsAV1.cpp \
+    $(samples_common_dir)/EncoderParamsAV1.cpp \
+    $(samples_common_dir)/DeviceVulkan.cpp
 
 include $(amf_root)/public/make/common_rules.mak
