=== amf/public/samples/CPPSamples/VCEEncoderD3D/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# MIT license 
+# MIT license
 #
 #
 # Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
@@ -32,8 +32,8 @@
 
 pp_include_dirs = \
  $(amf_root) \
- $(VK_SDK_PATH)/x86_64/include
- 
+ $(VULKAN_SDK)/include
+
  sample_path = public/samples/CPPSamples/VCEEncoderD3D
 
 src_files = \
@@ -51,8 +51,10 @@
     $(samples_common_dir)/DeviceVulkan.cpp \
     $(samples_common_dir)/EncoderParamsAVC.cpp \
     $(samples_common_dir)/EncoderParamsHEVC.cpp \
+    $(samples_common_dir)/EncoderParamsAV1.cpp \
     $(samples_common_dir)/ParametersStorage.cpp \
     $(samples_common_dir)/Pipeline.cpp \
+    $(samples_common_dir)/SwapChain.cpp \
     $(samples_common_dir)/SwapChainVulkan.cpp \
     $(sample_path)/VCEEncoderD3D.cpp \
     $(sample_path)/RenderEncodePipeline.cpp \
@@ -74,14 +76,14 @@
 all: $$(bin_dir)/$1.spv
 
 $$(bin_dir)/$1.spv: $$(amf_root)/$$(sample_path)/$1
-	$$(VK_SDK_PATH)/x86_64/bin/glslangValidator -V "$$<" -o "$$@"
+	$$(VK_SDK_PATH)/bin/glslangValidator -V "$$<" -o "$$@"
 endef
 
 $(foreach shader_file,$(shader_sources),\
     $(eval $(call shader_compile_rule_fn,$(shader_file)))\
 )
 
-clean: 
+clean:
 	$(foreach clean_file,$(shader_sources),\
 		$(RM) $(bin_dir)/$(clean_file).spv\
 	)
