=== amf/public/src/components/ComponentsFFMPEG/Makefile ===
--- 
+++ 
@@ -30,15 +30,6 @@
 target_name = amf-component-ffmpeg
 target_type = so
 
-uname_p := $(shell uname -p)
-  ifeq ($(uname_p),aarch64)
-  platform_name=arm
-  else
-  platform_name=lnx
-endif
-
-ffmpeg_dir = $(amf_root)/../Thirdparty/ffmpeg/ffmpeg-4.3.2/$(platform_name)$(host_bits)/release
-
 pp_defines += \
   AMF_COMPONENT_FFMPEG_EXPORTS
 
@@ -46,19 +37,17 @@
  -Wno-deprecated-declarations \
  -Wno-error=attributes
 
-
 pp_include_dirs = $(amf_root) \
   $(ffmpeg_dir)/include
 
 ffmpeg_libs = \
-  libavcodec.so.58 \
-  libavdevice.so.58 \
-  libavfilter.so.7 \
-  libavformat.so.58 \
-  libavresample.so.4 \
-  libavutil.so.56 \
-  libswresample.so.3 \
-  libswscale.so.5
+  libavcodec.so.61 \
+  libavdevice.so.61 \
+  libavfilter.so.10 \
+  libavformat.so.61 \
+  libavutil.so.59 \
+  libswresample.so.5 \
+  libswscale.so.8
 
 linker_libs += $(patsubst %,:"%",$(ffmpeg_libs))
 
@@ -80,6 +69,10 @@
     public/src/components/ComponentsFFMPEG/AudioDecoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/AudioEncoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/VideoDecoderFFMPEGImpl.cpp \
+	public/src/components/ComponentsFFMPEG/BaseEncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/H264EncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/HEVCEncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/AV1EncoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/ComponentFactory.cpp \
     public/src/components/ComponentsFFMPEG/FileDemuxerFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/FileMuxerFFMPEGImpl.cpp \
