=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpuopen.com/advanced-media-framework/
-Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)
