=== debian/watch ===
version=4

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
